{% extends 'base.html' %}

{% block content %}
{% if request.session.peran == 'pengguna publik' or request.session.peran == 'admin satgas' %}
<div class="container">
    <div class="table-responsive">
        <table class="table caption-top">
            {% for message in messages %}
            <caption>{{ message }}</caption>
            {% endfor %}
            <thead>
                <tr>
                    <th scope="col">No</th>
                    <th>No STR</th>
                    <th>Username</th>
                    <th>Faskes</th>
                    <th>Shift</th>
                    <th>Tanggal</th>
                    <th>Buat Appointment</th>
                </tr>
            </thead>
            <tbody>
            {% for jadwal in jadwal_dokter %}
            <tr>
                <form action="{% url 'appointment:form_appointment' %}" method="POST">
                    {% csrf_token %}
                    <td>{{ forloop.counter }}.</td>
                    <td><input name="nostr" value="{{ jadwal.0 }}" style="display: none;" readonly></input>{{ jadwal.0 }}</td>
                    <td><input name="username" value="{{ jadwal.1 }}" style="display: none;" readonly></input>{{ jadwal.1 }}</td>
                    <td><input name="faskes" value="{{ jadwal.2 }}" style="display: none;" readonly></input>{{ jadwal.2 }}</td>
                    <td><input name="shift" value="{{ jadwal.3 }}" style="display: none;" readonly></input>{{ jadwal.3 }}</td>
                    <td><input name="tanggal" value="{{ jadwal.4 }}" style="display: none;" readonly></input>{{ jadwal.4 }}</td>
                    <td><button type="submit" class="btn btn-outline-success">Book</button></td>
                </form>
            </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</div>
{% endif %}
{% endblock content %}